Subject: Re: Annoying absolute path for "core.worktree" to submodule

From: Jens Lehmann <[email-masked]>
Date: Wed, 21 Mar 2012 20:41:43 +0100

Am 20.03.2012 22:39, schrieb Holding, Lawrence:
> Slightly off topic, but related, what is the recommended way for finding
> the git folder from the top level project or any of the submodules?

Run "git rev-parse --git-dir" inside the repo whose git folder you want to
know.

> And of finding the working tree from inside a hook script?

I would expect hooks to be run in the work tree's top level directory,
but I haven't checked that.